# norootforbuild
%define pkg_name    pdflib
%define pkg_version 2.1.7
%define php_version %(php-config --version 2>/dev/null)
#
Name: php-pdflib
Version: %{pkg_version}
Release: 3.5
#
License: PHP
Group: Productivity/Networking/Web/Servers
#
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires: php-devel PDFlib-Lite-devel gcc gcc-c++
Requires: php = %{php_version}
#
URL: http://pecl.php.net/
Source: http://pecl.php.net/package/%{pkg_name}/%{pkg_name}-%{version}.tgz
#make sure the extension understands lib64, most dont.
Patch0: php5-pdflib-lib64.patch
Summary: Creating PDF on the fly with the PDFlib library

%description

			
Authors:
---------

		Rainer Schaaf <rjs@pdflib.com>
		Uwe Steinmann <uwe@steinmann.cx>

%debug_package

%prep
%setup -n %{pkg_name}-%{version}
%patch0

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure --with-pdflib=%{_usr} --with-libdir=%{_lib}

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php.d
echo "; comment out next line to disable pdf extension in php" > %{buildroot}%{_sysconfdir}/php.d/pdf.ini
echo "extension = pdf.so" >> %{buildroot}%{_sysconfdir}/php.d/pdf.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php/modules/pdf.so
%config(noreplace) %{_sysconfdir}/php.d/pdf.ini

%doc CREDITS

%changelog
* Sun Mar 22 2009 Carsten Schoene <cs@linux-administrator.com>
- new release 2.1.7
 - fixed [PECL-BUG] Bug #16066 [NEW]: Missing php_pdflib.h in archive

* Fri Mar 20 2009 Carsten Schoene <cs@linux-administrator.com>
- new upstream release 2.1.6
 - added PDF_utf32_to_utf16()
 - improved show_boxed() function
 - fixed GD_SUPPORT (not supported)

* Mon Mar 24 2008 Carsten Schoene <cs@linux-administrator.com>
- new upstream release 2.1.5
 - switched to package.xml 2.0 Format
 - improved exception handling
